/*
 *  ---license-start
 *  eu-digital-green-certificates / dgca-wallet-app-android
 *  ---
 *  Copyright (C) 2021 T-Systems International GmbH and all other contributors
 *  ---
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  ---license-end
 *
 *  Created by osarapulov on 7/8/21 12:01 AM
 */

package dgca.wallet.app.android.dcc.ui.wallet.certificates.view.validity

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.TextView
import dgca.verifier.app.engine.data.source.countries.COUNTRIES_MAP
import java.util.*

class DccCountriesAdapter(
    private val refinedCountries: List<String>,
    private val layoutInflater: LayoutInflater
) : BaseAdapter() {

    override fun getCount(): Int = refinedCountries.size

    override fun getItem(position: Int): String = refinedCountries[position]

    override fun getItemId(position: Int): Long = position.toLong()

    override fun getView(
        position: Int,
        convertView: View?,
        parent: ViewGroup?
    ): View =
        layoutInflater
            .inflate(android.R.layout.simple_spinner_item, parent, false)
            .apply {
                val textView: TextView = this.findViewById(android.R.id.text1)
                val countryIsoCode = refinedCountries[position]
                val locale = Locale("", COUNTRIES_MAP[countryIsoCode] ?: countryIsoCode)
                textView.text = locale.displayCountry
            }
}